CREATE TABLE VS4TSaleForecastDL
	(
	TSFDTSFCTBraCode nvarchar(30) NOT NULL,
	TSFDTSFCYear int NOT NULL,
	TSFDTSFCMonth int NOT NULL,
	TSFDTSFCTPdtCode nvarchar(30) NOT NULL,
	TSFDTSFCTEmpCode nvarchar(30) NOT NULL,
	TSFDStep int NOT NULL,
	TSFDLn int NOT NULL,
	TSFDTSepCode nvarchar(30) NULL,
	TSFDStepName nvarchar(50) NULL,
	TSFDTEmpCode nvarchar(30) NULL,
	TSFDEmployeeName nvarchar(150) NULL,
	TSFDPositionName nvarchar(150) NULL,
	TSFDStartTime float(53) NULL,
	TSFDEndTime float(53) NULL,
	TSFDQuantityCalc float(53) NULL,
	TSFDQuantity float(53) NULL,
	TSFDCost float(53) NULL,
	TSFDTotalCost float(53) NULL,
	TSFDRemark nvarchar(50) NULL,
	TSFDFlag1 smallint NULL,
	TSFDFlag2 smallint NULL,
	TSFDFlag3 smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TSaleForecastDL ADD CONSTRAINT
	PK_VS4TSaleForecastDL PRIMARY KEY CLUSTERED 
	(
	TSFDTSFCTBraCode,
	TSFDTSFCYear,
	TSFDTSFCMonth,
	TSFDTSFCTPdtCode,
	TSFDTSFCTEmpCode,
	TSFDStep,
	TSFDLn
	) ON [PRIMARY]

GO